Name:           python-py-tes
Version:        0.4.2
Release:    1%{?dist}
Summary:        Python SDK for the GA4GH Task Execution API

License:        MIT
URL:            https://github.com/ohsu-comp-bio/py-tes
Source0:         %{url}/archive/%{version}/py-tes-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist requests_mock} >= 1.3

%global common_description %{expand:
This is a library for interacting with servers implementing the GA4GH Task
Execution Schema (https://github.com/ga4gh/task-execution-schemas).}

%description %{common_description}


%package -n python3-py-tes
Summary:        %{summary}


%description -n python3-py-tes %{common_description}


%prep
%autosetup -n py-tes-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tes


%check
%pytest -v


%files -n python3-py-tes -f %{pyproject_files}
%doc README.md


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
